# Android dip Ruler
*« Print it, cut it, give it to your designer! »*

![Android dip Ruler!](https://raw.githubusercontent.com/BoD/android-dip-ruler/master/illus.png "Android dip Ruler!")


## What is it?
This is a ruler in the Android "dip" ([Device Independent Pixel](http://en.wikipedia.org/wiki/Units_of_measurement)) unit.

You can print it, cut it and give it to your designer.


## Links
- [US Letter pdf](https://github.com/BoD/android-dip-ruler/releases/download/v1.0.0/android_dip_ruler-1.0.0-usletter.pdf)
- [US Letter svg](https://raw.githubusercontent.com/BoD/android-dip-ruler/master/android_dip_ruler-usletter.svg)
- [A4 pdf](https://github.com/BoD/android-dip-ruler/releases/download/v1.0.0/android_dip_ruler-1.0.0-a4.pdf)
- [A4 svg](https://raw.githubusercontent.com/BoD/android-dip-ruler/master/android_dip_ruler-a4.svg)


## Why?
I've found that the concept of dp is not that easy to explain / understand.

Designers are used to think in pixels (especially if they've worked on iOS projects).

Sometimes a picture is worth a thousand words, and so this ruler will make it immediately obvious that ***the dp is a physical unit of length***.

Some essential information is also present on the ruler:
- Definition of a dp
- List of Android logical densities (*ldpi*, *mdpi*, etc.) with their properties

And of course it can also be actually used to measure things (screens…) since it **is** a ruler :)


## Miscellaneous

- Made with Inkscape
- Available in A4 and US Letter
- The ruler is rotated in the page to reduce the risk of being larger than the printable area
- When printing, make sure to **not** scale the page (or force it to scale at 100%), to preserve exact sizes
 
[![Android Arsenal](https://img.shields.io/badge/Android%20Arsenal-android--dip--ruler-green.svg?style=flat)](https://android-arsenal.com/details/1/1944)


## License
<a rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-sa/4.0/88x31.png" /></a><br /><span xmlns:dct="http://purl.org/dc/terms/" href="http://purl.org/dc/dcmitype/StillImage" property="dct:title" rel="dct:type">Android dip Ruler</span> by <a xmlns:cc="http://creativecommons.org/ns#" href="http://JRAF.org" property="cc:attributionName" rel="cc:attributionURL">Benoit 'BoD' Lubek</a> is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">Creative Commons Attribution-ShareAlike 4.0 International License</a>.<br />Based on a work at <a xmlns:dct="http://purl.org/dc/terms/" href="http://github.com/BoD/Android-dip-Ruler" rel="dct:source">http://github.com/BoD/android-dip-ruler</a>.
